Bug 1249791 - Review Request: rubygem-shellany - Simple, somewhat portable command capturing
Summary: Review Request: rubygem-shellany - Simple, somewhat portable command capturing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-03 20:32 UTC by František Dvořák
Modified: 2015-11-10 16:52 UTC (History)
1 user (show)

Fixed In Version: rubygem-shellany-0.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-19 08:01:32 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2015-08-03 20:32:23 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-shellany-0.0.1-1/rubygem-shellany.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-shellany-0.0.1-1/rubygem-shellany-0.0.1-1.fc24.src.rpm
Description: MRI+JRuby compatible command output capturing.
Fedora Account System Username: valtri

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10591028

Comment 1 Mamoru TASAKA 2015-08-10 06:05:01 UTC
Taking.

I would appreciate it if you would review my review request (bug 1251833)

Comment 2 Mamoru TASAKA 2015-08-10 08:28:17 UTC
Okay, this also seems to be a small package.

* Documents
  - I recommend to move "README".md to main package, however
    it is not a blocker.

* Obsolete conditional
  - Consider to remove "%if 0%{?fedora} && 0%{?fedora} <= 20".
    Currently the least supported version of Fedora is 21.

* source clean
* spec file clean
* buils cleanly (currently for F-24)
* can be installed
* at least the following is working.

$ ruby -e "require 'shellany' ; puts Shellany::VERSION"
0.0.1

Comment 3 Mamoru TASAKA 2015-08-10 08:29:04 UTC
------------------------------------------------
   This package (rubygem-shellany) is APPROVED
   by mtasaka
------------------------------------------------

Comment 4 František Dvořák 2015-08-10 22:40:29 UTC
New Package SCM Request
=======================
Package Name: rubygem-shellany
Short Description: Simple, somewhat portable command capturing
Upstream URL: https://github.com/guard/shellany
Owners: valtri
Branches: f23 epel7

Thanks!

Comment 5 Gwyn Ciesla 2015-08-11 13:01:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-08-11 18:38:15 UTC
rubygem-shellany-0.0.1-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/rubygem-shellany-0.0.1-1.fc23

Comment 7 Fedora Update System 2015-08-11 18:39:17 UTC
rubygem-shellany-0.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-shellany-0.0.1-1.el7

Comment 8 Fedora Update System 2015-08-12 20:13:06 UTC
rubygem-shellany-0.0.1-1.fc23 has been pushed to the Fedora 23 testing repository.

Comment 9 Fedora Update System 2015-08-19 08:01:32 UTC
rubygem-shellany-0.0.1-1.fc23 has been pushed to the Fedora 23 stable repository.

Comment 10 Fedora Update System 2015-11-10 16:52:34 UTC
rubygem-shellany-0.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.